<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxCurveLabelShape (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxCurveLabelShape (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCurveLabelShape.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.shape</a></div>
<h2 title="Class mxCurveLabelShape" class="title">Class mxCurveLabelShape</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.shape.mxCurveLabelShape</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="mxITextShape.html" title="interface in hk.quantr.mxgraph.shape">mxITextShape</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxCurveLabelShape</span>
extends java.lang.Object
implements <a href="mxITextShape.html" title="interface in hk.quantr.mxgraph.shape">mxITextShape</a></pre>
<div class="block">Draws the edge label along a curve derived from the curve describing
 the edge's path</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxCurveLabelShape.LabelGlyphCache.html" title="class in hk.quantr.mxgraph.shape">mxCurveLabelShape.LabelGlyphCache</a></span></code></th>
<td class="colLast">
<div class="block">Utility class to describe the characteristics of each glyph of a branch
 branch label.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="mxCurveLabelShape.LabelPosition.html" title="class in hk.quantr.mxgraph.shape">mxCurveLabelShape.LabelPosition</a></span></code></th>
<td class="colLast">
<div class="block">Utility class that stores details of how the label is positioned
 on the curve</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#centerVisibleIndex">centerVisibleIndex</a></span></code></th>
<td class="colLast">
<div class="block">The index of the central glyph of the label that is visible</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../util/mxCurve.html" title="class in hk.quantr.mxgraph.util">mxCurve</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#curve">curve</a></span></code></th>
<td class="colLast">
<div class="block">Cache of the points between which drawing straight lines views as a
 curve</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#CURVE_TEXT_STRETCH_FACTOR">CURVE_TEXT_STRETCH_FACTOR</a></span></code></th>
<td class="colLast">
<div class="block">Factor by which text on the inside of curve is stretched</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#FONT_FRACTIONALMETRICS">FONT_FRACTIONALMETRICS</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if image aspect should be preserved in drawImage.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.awt.font.FontRenderContext</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#frc">frc</a></span></code></th>
<td class="colLast">
<div class="block">Shared FRC for font size calculations</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#INVALID_GLYPH_BOUNDS">INVALID_GLYPH_BOUNDS</a></span></code></th>
<td class="colLast">
<div class="block">Indicates that a glyph does not have valid drawing bounds, usually 
 because it is not visible</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#LABEL_BUFFER">LABEL_BUFFER</a></span></code></th>
<td class="colLast">
<div class="block">Buffer at both ends of the label</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#labelBounds">labelBounds</a></span></code></th>
<td class="colLast">
<div class="block">Cache of the bounds of the label</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="mxCurveLabelShape.LabelGlyphCache.html" title="class in hk.quantr.mxgraph.shape">mxCurveLabelShape.LabelGlyphCache</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#labelGlyphs">labelGlyphs</a></span></code></th>
<td class="colLast">
<div class="block">Cache of information describing characteristics relating to drawing 
 each glyph of this label</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="mxCurveLabelShape.LabelPosition.html" title="class in hk.quantr.mxgraph.shape">mxCurveLabelShape.LabelPosition</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#labelPosition">labelPosition</a></span></code></th>
<td class="colLast">
<div class="block">ADT to encapsulate label positioning information</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#labelSize">labelSize</a></span></code></th>
<td class="colLast">
<div class="block">Cache of the total length of the branch label</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.awt.Font</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#lastFont">lastFont</a></span></code></th>
<td class="colLast">
<div class="block">Cache of the label font</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#lastPoints">lastPoints</a></span></code></th>
<td class="colLast">
<div class="block">Cache of the last set of guide points that this label was calculated for</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#lastValue">lastValue</a></span></code></th>
<td class="colLast">
<div class="block">Cache of the label text</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rotationEnabled">rotationEnabled</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.awt.font.GlyphVector[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rtlGlyphVectors">rtlGlyphVectors</a></span></code></th>
<td class="colLast">
<div class="block">Cache of BIDI glyph vectors</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#state">state</a></span></code></th>
<td class="colLast">
<div class="block">Cache the state associated with this shape</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxCurve)">mxCurveLabelShape</a></span>&#8203;(<a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                 <a href="../util/mxCurve.html" title="class in hk.quantr.mxgraph.util">mxCurve</a>&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculationLabelPosition(java.util.Map,java.lang.String)">calculationLabelPosition</a></span>&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style,
                        java.lang.String&nbsp;label)</code></th>
<td class="colLast">
<div class="block">Hook method to override how the label is positioned on the curve</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCenterVisiblePosition()">getCenterVisiblePosition</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the drawing bounds of the central indexed visible glyph</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../util/mxCurve.html" title="class in hk.quantr.mxgraph.util">mxCurve</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCurve()">getCurve</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getLabelBounds()">getLabelBounds</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRotationEnabled()">getRotationEnabled</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#intersectsRect(java.awt.Rectangle)">intersectsRect</a></span>&#8203;(java.awt.Rectangle&nbsp;rect)</code></th>
<td class="colLast">
<div class="block">Returns whether or not the rectangle passed in hits any part of this
 curve.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.lang.String,hk.quantr.mxgraph.view.mxCellState,java.util.Map)">paintShape</a></span>&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
          java.lang.String&nbsp;text,
          <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
          java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#postprocessGlyph(hk.quantr.mxgraph.util.mxCurve,java.lang.String,int,double)">postprocessGlyph</a></span>&#8203;(<a href="../util/mxCurve.html" title="class in hk.quantr.mxgraph.util">mxCurve</a>&nbsp;curve,
                java.lang.String&nbsp;label,
                int&nbsp;j,
                double&nbsp;currentPos)</code></th>
<td class="colLast">
<div class="block">Hook for sub-classers to perform additional processing on
 each glyph</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCurve(hk.quantr.mxgraph.util.mxCurve)">setCurve</a></span>&#8203;(<a href="../util/mxCurve.html" title="class in hk.quantr.mxgraph.util">mxCurve</a>&nbsp;curve)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRotationEnabled(boolean)">setRotationEnabled</a></span>&#8203;(boolean&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateLabelBounds(java.lang.String,java.util.Map)">updateLabelBounds</a></span>&#8203;(java.lang.String&nbsp;label,
                 java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</code></th>
<td class="colLast">
<div class="block">Updates the cached position and size of each glyph in the edge label.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="lastValue">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lastValue</h4>
<pre>protected&nbsp;java.lang.String lastValue</pre>
<div class="block">Cache of the label text</div>
</li>
</ul>
<a id="lastFont">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lastFont</h4>
<pre>protected&nbsp;java.awt.Font lastFont</pre>
<div class="block">Cache of the label font</div>
</li>
</ul>
<a id="lastPoints">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lastPoints</h4>
<pre>protected&nbsp;java.util.List&lt;<a href="../util/mxPoint.html" title="class in hk.quantr.mxgraph.util">mxPoint</a>&gt; lastPoints</pre>
<div class="block">Cache of the last set of guide points that this label was calculated for</div>
</li>
</ul>
<a id="curve">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>curve</h4>
<pre>protected&nbsp;<a href="../util/mxCurve.html" title="class in hk.quantr.mxgraph.util">mxCurve</a> curve</pre>
<div class="block">Cache of the points between which drawing straight lines views as a
 curve</div>
</li>
</ul>
<a id="state">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>state</h4>
<pre>protected&nbsp;<a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a> state</pre>
<div class="block">Cache the state associated with this shape</div>
</li>
</ul>
<a id="labelGlyphs">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>labelGlyphs</h4>
<pre>protected&nbsp;<a href="mxCurveLabelShape.LabelGlyphCache.html" title="class in hk.quantr.mxgraph.shape">mxCurveLabelShape.LabelGlyphCache</a>[] labelGlyphs</pre>
<div class="block">Cache of information describing characteristics relating to drawing 
 each glyph of this label</div>
</li>
</ul>
<a id="labelSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>labelSize</h4>
<pre>protected&nbsp;double labelSize</pre>
<div class="block">Cache of the total length of the branch label</div>
</li>
</ul>
<a id="labelBounds">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>labelBounds</h4>
<pre>protected&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a> labelBounds</pre>
<div class="block">Cache of the bounds of the label</div>
</li>
</ul>
<a id="labelPosition">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>labelPosition</h4>
<pre>protected&nbsp;<a href="mxCurveLabelShape.LabelPosition.html" title="class in hk.quantr.mxgraph.shape">mxCurveLabelShape.LabelPosition</a> labelPosition</pre>
<div class="block">ADT to encapsulate label positioning information</div>
</li>
</ul>
<a id="LABEL_BUFFER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LABEL_BUFFER</h4>
<pre>public static&nbsp;double LABEL_BUFFER</pre>
<div class="block">Buffer at both ends of the label</div>
</li>
</ul>
<a id="CURVE_TEXT_STRETCH_FACTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CURVE_TEXT_STRETCH_FACTOR</h4>
<pre>public static&nbsp;double CURVE_TEXT_STRETCH_FACTOR</pre>
<div class="block">Factor by which text on the inside of curve is stretched</div>
</li>
</ul>
<a id="INVALID_GLYPH_BOUNDS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INVALID_GLYPH_BOUNDS</h4>
<pre>public static&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a> INVALID_GLYPH_BOUNDS</pre>
<div class="block">Indicates that a glyph does not have valid drawing bounds, usually 
 because it is not visible</div>
</li>
</ul>
<a id="centerVisibleIndex">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>centerVisibleIndex</h4>
<pre>public&nbsp;int centerVisibleIndex</pre>
<div class="block">The index of the central glyph of the label that is visible</div>
</li>
</ul>
<a id="FONT_FRACTIONALMETRICS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FONT_FRACTIONALMETRICS</h4>
<pre>public static&nbsp;java.lang.Object FONT_FRACTIONALMETRICS</pre>
<div class="block">Specifies if image aspect should be preserved in drawImage. Default is true.</div>
</li>
</ul>
<a id="rtlGlyphVectors">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rtlGlyphVectors</h4>
<pre>public&nbsp;java.awt.font.GlyphVector[] rtlGlyphVectors</pre>
<div class="block">Cache of BIDI glyph vectors</div>
</li>
</ul>
<a id="frc">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>frc</h4>
<pre>public static&nbsp;java.awt.font.FontRenderContext frc</pre>
<div class="block">Shared FRC for font size calculations</div>
</li>
</ul>
<a id="rotationEnabled">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>rotationEnabled</h4>
<pre>protected&nbsp;boolean rotationEnabled</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(hk.quantr.mxgraph.view.mxCellState,hk.quantr.mxgraph.util.mxCurve)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxCurveLabelShape</h4>
<pre>public&nbsp;mxCurveLabelShape&#8203;(<a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                         <a href="../util/mxCurve.html" title="class in hk.quantr.mxgraph.util">mxCurve</a>&nbsp;value)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getRotationEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRotationEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;getRotationEnabled()</pre>
</li>
</ul>
<a id="setRotationEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRotationEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRotationEnabled&#8203;(boolean&nbsp;value)</pre>
</li>
</ul>
<a id="paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.lang.String,hk.quantr.mxgraph.view.mxCellState,java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paintShape</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paintShape&#8203;(<a href="../canvas/mxGraphics2DCanvas.html" title="class in hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
                       java.lang.String&nbsp;text,
                       <a href="../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                       java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="mxITextShape.html#paintShape(hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,java.lang.String,hk.quantr.mxgraph.view.mxCellState,java.util.Map)">paintShape</a></code>&nbsp;in interface&nbsp;<code><a href="mxITextShape.html" title="interface in hk.quantr.mxgraph.shape">mxITextShape</a></code></dd>
</dl>
</li>
</ul>
<a id="updateLabelBounds(java.lang.String,java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateLabelBounds</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;updateLabelBounds&#8203;(java.lang.String&nbsp;label,
                                     java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style)</pre>
<div class="block">Updates the cached position and size of each glyph in the edge label.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - the entire string of the label.</dd>
<dd><code>style</code> - the edge style</dd>
</dl>
</li>
</ul>
<a id="postprocessGlyph(hk.quantr.mxgraph.util.mxCurve,java.lang.String,int,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>postprocessGlyph</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;postprocessGlyph&#8203;(<a href="../util/mxCurve.html" title="class in hk.quantr.mxgraph.util">mxCurve</a>&nbsp;curve,
                                java.lang.String&nbsp;label,
                                int&nbsp;j,
                                double&nbsp;currentPos)</pre>
<div class="block">Hook for sub-classers to perform additional processing on
 each glyph</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>curve</code> - The curve object holding the label curve</dd>
<dd><code>label</code> - the text label of the curve</dd>
<dd><code>j</code> - the index of the label</dd>
<dd><code>currentPos</code> - the distance along the label curve the glyph is</dd>
</dl>
</li>
</ul>
<a id="intersectsRect(java.awt.Rectangle)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intersectsRect</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;intersectsRect&#8203;(java.awt.Rectangle&nbsp;rect)</pre>
<div class="block">Returns whether or not the rectangle passed in hits any part of this
 curve.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rect</code> - the rectangle to detect for a hit</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether or not the rectangle hits this curve</dd>
</dl>
</li>
</ul>
<a id="calculationLabelPosition(java.util.Map,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculationLabelPosition</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;calculationLabelPosition&#8203;(java.util.Map&lt;java.lang.String,&#8203;java.lang.Object&gt;&nbsp;style,
                                        java.lang.String&nbsp;label)</pre>
<div class="block">Hook method to override how the label is positioned on the curve</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>style</code> - the style of the curve</dd>
<dd><code>label</code> - the string label to be displayed on the curve</dd>
</dl>
</li>
</ul>
<a id="getCurve()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurve</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxCurve.html" title="class in hk.quantr.mxgraph.util">mxCurve</a>&nbsp;getCurve()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the curve</dd>
</dl>
</li>
</ul>
<a id="setCurve(hk.quantr.mxgraph.util.mxCurve)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurve</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCurve&#8203;(<a href="../util/mxCurve.html" title="class in hk.quantr.mxgraph.util">mxCurve</a>&nbsp;curve)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>curve</code> - the curve to set</dd>
</dl>
</li>
</ul>
<a id="getLabelBounds()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLabelBounds</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getLabelBounds()</pre>
</li>
</ul>
<a id="getCenterVisiblePosition()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getCenterVisiblePosition</h4>
<pre class="methodSignature">public&nbsp;<a href="../util/mxRectangle.html" title="class in hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;getCenterVisiblePosition()</pre>
<div class="block">Returns the drawing bounds of the central indexed visible glyph</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the centerVisibleIndex</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCurveLabelShape.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
